/*
 * Copyright (C) 2012 Red Hat, Inc.  All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Authors: Radek Novacek <rnovacek@redhat.com>
 */

#ifndef NM_SUPPORT_H
#define NM_SUPPORT_H

#include <glib.h>
#include <glib-object.h>

gboolean ipv4_address_from_array(GArray *array, guint32 *address, guint32 *prefix, guint32 *gateway);

GArray *ipv4_address_to_array(guint32 address, guint32 prefix, guint32 gateway);

gboolean ipv6_address_from_array(GValueArray *array, GByteArray **address, guint32 *prefix, GByteArray **gateway);

GValueArray *ipv6_address_to_array(GByteArray *address, guint32 prefix, GByteArray *gateway);

void g_hash_table_print(GHashTable *hash, gboolean first);

void check_connection_hash(GHashTable *hash);

#endif
